# Draw
TKDraw
Draw

# Draw_Text2D Class Reference

`#include <Draw_Text2D.hxx>`

Inheritance diagram for Draw_Text2D:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Text2D (const gp_Pnt2d &p, const Standard_CString T, const Draw_Color &col)
Standard_EXPORT | Draw_Text2D (const gp_Pnt2d &p, const Standard_CString T, const Draw_Color &col, const Standard_Integer moveX, const Standard_Integer moveY)
Standard_EXPORT void | SetPnt2d (const gp_Pnt2d &p)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt2d | myPoint
Draw_Color | myColor
TCollection_AsciiString | myText
Standard_Integer | mymoveX
Standard_Integer | mymoveY

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Text2D::Draw_Text2D | ( | const gp_Pnt2d & | p,
|  | const Standard_CString | T,
|  | const Draw_Color & | col
| ) |

Standard_EXPORT Draw_Text2D::Draw_Text2D | ( | const gp_Pnt2d & | p,
|  | const Standard_CString | T,
|  | const Draw_Color & | col,
|  | const Standard_Integer | moveX,
|  | const Standard_Integer | moveY
| ) |

## Member Function Documentation

Standard_EXPORT void Draw_Text2D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const Draw_Text2D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable2D.

Standard_EXPORT void Draw_Text2D::SetPnt2d | ( | const gp_Pnt2d & | p | ) |

## Field Documentation

Draw_Color Draw_Text2D::myColor `[private]`

Standard_Integer Draw_Text2D::mymoveX `[private]`

Standard_Integer Draw_Text2D::mymoveY `[private]`

gp_Pnt2d Draw_Text2D::myPoint `[private]`

TCollection_AsciiString Draw_Text2D::myText `[private]`

The documentation for this class was generated from the following file:

- Draw_Text2D.hxx